Debian Bug report logs - #680806
libio-async-loop-glib-perl: FTBFS: tests failed

version graph

Package: src:libio-async-loop-glib-perl; Maintainer for src:libio-async-loop-glib-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:22:05 UTC

Severity: serious

Tags: confirmed, sid, wheezy

Found in version libio-async-loop-glib-perl/0.20-1

Fixed in version libio-async-loop-glib-perl/0.20-2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=78891

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680806; Package src:libio-async-loop-glib-perl. (Sun, 08 Jul 2012 17:22:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:22:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libio-async-loop-glib-perl: FTBFS: tests failed
Date: Sun, 8 Jul 2012 19:10:57 +0200
Source: libio-async-loop-glib-perl
Version: 0.20-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> t/00use.t ........... ok
> 
> #   Failed test '$hangup after pipe close for writing'
> #   at /usr/share/perl5/IO/Async/LoopTests.pm line 291.
> #          got: '0'
> #     expected: '1'
> # Looks like you failed 1 test of 20.
> t/01loop-io.t ....... 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/20 subtests 
> t/02loop-timer.t .... ok
> t/03loop-signal.t ... ok
> t/04loop-idle.t ..... ok
> t/05loop-child.t .... ok
> t/06loop-control.t .. ok
> t/11share-io.t ...... ok
> t/12share-timer.t ... ok
> t/15share-child.t ... ok
> t/99pod.t ........... ok
> 
> Test Summary Report
> -------------------
> t/01loop-io.t     (Wstat: 256 Tests: 20 Failed: 1)
>   Failed test:  15
>   Non-zero exit status: 1
> Files=11, Tests=111, 19 wallclock secs ( 0.06 usr  0.04 sys +  0.63 cusr  0.22 csys =  0.95 CPU)
> Result: FAIL
> Failed 1/11 test programs. 1/111 subtests failed.
> make[1]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/libio-async-loop-glib-perl_0.20-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Added tag(s) confirmed. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 19:48:12 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=78891'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 15:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680806; Package src:libio-async-loop-glib-perl. (Fri, 10 Aug 2012 15:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 10 Aug 2012 15:48:09 GMT) Full text and rfc822 format available.

Message #14 received at 680806@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680790@bugs.debian.org, 680806@bugs.debian.org
Subject: Update for libio-async-loop-*-perl bugs
Date: Fri, 10 Aug 2012 17:44:19 +0200
[Message part 1 (text/plain, inline)]
1) I've forwarded both bug reports upstream now.
2) Both packages have no reverse (build) dependencies and a low
   popcon, so removing them from wheezy would be no desaster.

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bob Dylan: Lonesome Day Blues
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#680806; Package src:libio-async-loop-glib-perl. (Wed, 15 Aug 2012 13:21:04 GMT) Full text and rfc822 format available.

Message #17 received at 680806@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 680806@bugs.debian.org, 680806-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libio-async-loop-glib-perl package
Date: Wed, 15 Aug 2012 13:18:24 +0000
tag 680806 + pending
thanks

Some bugs in the libio-async-loop-glib-perl package are closed in
revision 696235172ec9bf162b9db7304665704b27e73c10 in branch 'master'
by gregor herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-loop-glib-perl.git;a=commitdiff;h=6962351

Commit message:

    Add patch pollhup.patch: remove declaration that IO::Async::Loop::Glib can handle on_hangup.
    
    POLLHUP is not reliable to detect that the reader has closed
    their end of a pipe.
    
    Thanks: Paul Evans (upstream author) for the patch.
    Closes: #680806




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 15 Aug 2012 13:21:05 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#680806. (Wed, 15 Aug 2012 13:21:10 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 15 Aug 2012 13:36:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 15 Aug 2012 13:36:08 GMT) Full text and rfc822 format available.

Message #27 received at 680806-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 680806-close@bugs.debian.org
Subject: Bug#680806: fixed in libio-async-loop-glib-perl 0.20-2
Date: Wed, 15 Aug 2012 13:32:38 +0000
Source: libio-async-loop-glib-perl
Source-Version: 0.20-2

We believe that the bug you reported is fixed in the latest version of
libio-async-loop-glib-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680806@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libio-async-loop-glib-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Aug 2012 15:12:49 +0200
Source: libio-async-loop-glib-perl
Binary: libio-async-loop-glib-perl
Architecture: source all
Version: 0.20-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libio-async-loop-glib-perl - Perl extension for an event loop using GLib
Closes: 680806
Changes: 
 libio-async-loop-glib-perl (0.20-2) unstable; urgency=low
 .
   * Add patch pollhup.patch: remove declaration that IO::Async::Loop::Glib
     can handle on_hangup. POLLHUP is not reliable to detect that the
     reader has closed their end of a pipe. Thanks to Paul Evans (upstream
     author) for the patch. (Closes: #680806)
Checksums-Sha1: 
 b1f7ccc7afee78998cb1dd5b4e11a74ef7a227c1 2308 libio-async-loop-glib-perl_0.20-2.dsc
 be0e915575a57ecc13d6ac223d7b0124a27a4667 2748 libio-async-loop-glib-perl_0.20-2.debian.tar.gz
 6744dbc94a558bebb6f81d4adcf03d5233516129 9796 libio-async-loop-glib-perl_0.20-2_all.deb
Checksums-Sha256: 
 f62b49b56c2f82a7b91928321d8deb8e18a2807f69a5a4968a02c99f6a38c610 2308 libio-async-loop-glib-perl_0.20-2.dsc
 beb68027f116a74e1c2afc60d115e59b54b454cf295b908a8820db79d4ca8e99 2748 libio-async-loop-glib-perl_0.20-2.debian.tar.gz
 469bf120f0a8a070690f8b497b573360f549ec74ce8fa7736b0b9260bb8080bf 9796 libio-async-loop-glib-perl_0.20-2_all.deb
Files: 
 d83c09717f75369c67e0248d9ed342d9 2308 perl optional libio-async-loop-glib-perl_0.20-2.dsc
 fcd03e117be5dacd4f77e77c4f79e7f2 2748 perl optional libio-async-loop-glib-perl_0.20-2.debian.tar.gz
 5c4ce846c6f346bbb141d20ec61257ca 9796 perl optional libio-async-loop-glib-perl_0.20-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQK6FQAAoJELs6aAGGSaoGDJoP+weEDMThVHIqM76kTXLDThme
ZBnE4g2OUhXog+JtgJ2Wy+wXxbhzG4zU7aOPOhSzphrVjnHjPncPn5pK11yS6rIu
DDAtCNFJYhLF3VxxdQIUeXVSN1/PVercOMsXLUcjrRCVYIEmCexjFYk5dHwL3uTJ
VxsrRwFEJfKrQ3UCUcasnleamkZLH3b56NAvpFaUkSthu4N/0h/L+NpgzdXsWaaC
LXUhxeUAdG/uICHGHoh0d7Xc8Af2LnWqMF9mfLaqdMYjsFKmzBP4w802fGxZh4mW
hWoHQeQmlY9FE1FR4t2OTTqhuJsI1C7wupu5D2b/ZkRvvjL6fq7S6blYyOveB1pd
aa1r00ShXYLjCbaZXTJLDtMl6Foh67/ctnX935Yj0kkLShJvYxpILsx3gid7qLyr
dDDdY7rnUiZRclRpm4EMNLyqOb+8cZLsx12jwfURdUzh9gXxeTvEluEf+bVzPg5H
kXM47l023QpiqO8Qp2sqqLkQQ08zk4w5x1vGev0XY65AnNqw3GzKgKg7bBcoqZAZ
Da+SztaB2yOy8wyAIYyJiWWfg4KwZDLw54QO80v2875c8LZqoRDhOfFHUYoGfjin
Ecw74X14kNAOv8YNWNUSPO2PG2Zd6oZwrMGxO8EJPbArY8flxSJWdF8DumVAsgL5
rkkyErxS1zN2Uij/lBOI
=Ri9I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Sep 2012 07:25:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:29:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.